Open CASCADE Technology: IGESSolid_Protocol Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IGESSolid_Protocol Class Reference

Description of Protocol for IGESSolid. More...

`#include <IGESSolid_Protocol.hxx>`

Inheritance diagram for IGESSolid_Protocol:
[legend]

## Public Member Functions
| IGESSolid_Protocol ()
virtual Standard_Integer | NbResources () const
| Gives the count of Resource Protocol. Here, one (Protocol from IGESGeom) More...
virtual Handle< Interface_Protocol > | Resource (const Standard_Integer num) const
| Returns a Resource, given a rank. More...
virtual Standard_Integer | TypeNumber (const Handle< Standard_Type > &atype) const
| Returns a Case Number, specific of each recognized Type This Case Number is then used in Libraries : the various Modules attached to this class of Protocol must use them in accordance (for a given value of TypeNumber, they must consider the same Type as the Protocol defines) More...
Public Member Functions inherited from IGESData_Protocol
| IGESData_Protocol ()
Handle< Interface_InterfaceModel > | NewModel () const
| Creates an empty Model for IGES Norm. More...
Standard_Boolean | IsSuitableModel (const Handle< Interface_InterfaceModel > &model) const
| Returns True if <model> is a Model of IGES Norm. More...
Handle< Standard_Transient > | UnknownEntity () const
| Creates a new Unknown Entity for IGES (UndefinedEntity) More...
Standard_Boolean | IsUnknownEntity (const Handle< Standard_Transient > &ent) const
| Returns True if <ent> is an Unknown Entity for the Norm, i.e. Type UndefinedEntity, status Unknown. More...
Public Member Functions inherited from Interface_Protocol
virtual Standard_Integer | CaseNumber (const Handle< Standard_Transient > &obj) const
| Returns a unique positive CaseNumber for each Recognized Object. By default, recognition is based on Type(1) By default, calls the following one which is deferred. More...
virtual Standard_Boolean | IsDynamicType (const Handle< Standard_Transient > &obj) const
| Returns True if type of <obj> is that defined from CDL This is the default but it may change according implementation. More...
virtual Standard_Integer | NbTypes (const Handle< Standard_Transient > &obj) const
| Returns the count of DISTINCT types under which an entity may be processed. Each one is candidate to be recognized by TypeNumber, <obj> is then processed according it By default, returns 1 (the DynamicType) More...
Handle< Standard_Type > | Type (const Handle< Standard_Transient > &obj, const Standard_Integer nt=1) const
| Returns a type under which <obj> can be recognized and processed, according its rank in its definition list (see NbTypes). By default, returns DynamicType. More...
virtual Standard_Boolean | GlobalCheck (const Interface_Graph &G, Handle< Interface_Check > &ach) const
| Evaluates a Global Check for a model (with its Graph) Returns True when done, False if data in model do not apply. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Static Public Member Functions inherited from Interface_Protocol
static Handle< Interface_Protocol > | Active ()
| Returns the Active Protocol, if defined (else, returns a Null Handle, which means "no defined active protocol") More...
static void | SetActive (const Handle< Interface_Protocol > &aprotocol)
| Sets a given Protocol to be the Active one (for the users of Active, see just above). Applies to every sub-type of Protocol. More...
static void | ClearActive ()
| Erases the Active Protocol (hence it becomes undefined) More...

## Detailed Description

Description of Protocol for IGESSolid.

## Constructor & Destructor Documentation

IGESSolid_Protocol::IGESSolid_Protocol | ( |  | ) |

## Member Function Documentation

virtual Standard_Integer IGESSolid_Protocol::NbResources | ( |  | ) | const
| virtual

Gives the count of Resource Protocol. Here, one (Protocol from IGESGeom)

Reimplemented from IGESData_Protocol.

virtual Handle< Interface_Protocol > IGESSolid_Protocol::Resource | ( | const Standard_Integer | num | ) | const
| virtual

Returns a Resource, given a rank.

Reimplemented from IGESData_Protocol.

virtual Standard_Integer IGESSolid_Protocol::TypeNumber | ( | const Handle< Standard_Type > & | atype | ) | const
| virtual

Returns a Case Number, specific of each recognized Type This Case Number is then used in Libraries : the various Modules attached to this class of Protocol must use them in accordance (for a given value of TypeNumber, they must consider the same Type as the Protocol defines)

Reimplemented from IGESData_Protocol.

The documentation for this class was generated from the following file:

- IGESSolid_Protocol.hxx